%define pkg_name        Class-MakeMethods
%define pkg_version     1.01
%define rpm_pkg_version 1.01
%define rpm_pkg_release 2.n0i.2

Summary:       Generate common types of methods
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/E/EV/EVO/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: reb00t-rpmdevtools
BuildRequires: perl(ExtUtils::MakeMaker)


%description
The Class::MakeMethods framework allows Perl class developers to quickly
define common types of methods. When a module "use"s Class::MakeMethods or
one of its subclasses, it can select from a variety of supported method
types, and specify a name for each method desired. The methods are
dynamically generated and installed in the calling package.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%exclude %{perl_vendorlib}/Class/benchmark.pl
%doc CHANGES README


%changelog
* Tue May 22 2007 Marius Feraru <altblue@n0i.net> - 1.01-2.n0i.2
- spec file (re)created using N0i::CPAN::RPMizer v1.14.7
- rebuild on perl 5.8.8

* Thu Aug 04 2005 Marius Feraru <altblue@n0i.net> 1.01-1.n0i.1
- spec file (re)created using N0i::CPAN::RPMizer/1.01
- rebuild on perl 5.8.7
